
<div class="row" [formGroup]="userForm">
    <div class="card m-1 ">
        <div class="card-header bg-info m-0 p-0">
            <p class="mb-4 pb-2 pb-md-0 mb-md-5 ml-5 ">Registration Form</p>
        </div>
        <div class="crad-body mt-2 p-3">
            <div class="row">
                <div class="col-md-6 mb-4">

                    <div class="form-outline">
                        <input type="text" id="firstName" formControlName="fName" class="form-control form-control-lg"
                            placeholder="First Name"  [ngClass]="{ 'is-invalid': submitted && f.fName.errors }" />
                            <div *ngIf="submitted && f.fName.errors" class="invalid-feedback">
                                <div *ngIf="f.fName.errors.required">First Name is required</div>
                              </div>
                    </div>

                </div>
                <div class="col-md-6 mb-4">

                    <div class="form-outline">
                        <input type="text" id="lastName" formControlName="LName" class="form-control form-control-lg"
                            placeholder="Last Name" [ngClass]="{ 'is-invalid': submitted && f.LName.errors }" />
                            <div *ngIf="submitted && f.LName.errors" class="invalid-feedback">
                                <div *ngIf="f.LName.errors.required">Last Name is required</div>
                              </div>
                    </div>

                </div>
            </div>
            <div class="row">
                <div class="col-md-12 mb-4">
                    <div class="form-outline">
                        <input type="email" id="lastName" formControlName="Emial" class="form-control form-control-lg"
                            placeholder="Email"  [ngClass]="{ 'is-invalid': submitted && f.Emial.errors }" />
                            <div *ngIf="submitted && f.Emial.errors" class="invalid-feedback">
                                <div *ngIf="f.Emial.errors.required">Email is required</div>
                              </div>
                    </div>
                </div>

            </div>
            <div class="row">
                <div class="col-md-12 mb-4">
                    <div class="form-outline">
                        <input type="text" id="lastName" formControlName="MNo" class="form-control form-control-lg"
                            placeholder="Mobail No" [ngClass]="{ 'is-invalid': submitted && f.MNo.errors }" />
                    </div>
                    <div *ngIf="submitted && f.MNo.errors" class="invalid-feedback">
                        <div *ngIf="f.MNo.errors.required">Mobail No is required</div>
                      </div>
                </div>

            </div>
            <div class="row ">
                <div class="col-md-12">
                    <input type="email" id="lastName" formControlName="Age" class="form-control form-control-lg"
                        placeholder="Age"   [ngClass]="{ 'is-invalid': submitted && f.Age.errors }"/>
                        <div *ngIf="submitted && f.Age.errors" class="invalid-feedback">
                            <div *ngIf="f.Age.errors.required">Age is required</div>
                          </div>
                    <!-- <div data-role="rangeslider">
                    <label for="price-min">Price:</label>
                    <input type="range" name="price-min" id="price-min" value="20" min="0" max="100">
                    <label for="price-max">Price:</label>
                    <input type="range" name="price-max" id="price-max" value="800" min="0" max="100">
                  </div>
                </div> -->
                </div>
            </div>
            <div class="row mt-1">
                <div class="col-md-12">
                    <select name="" id="" placeholder="State" formControlName="State"
                        class="form-control   form-control-lg"  [ngClass]="{ 'is-invalid': submitted && f.State.errors }">
                        <option value="Sate">State</option>
                        <option value="1">MH</option>
                    </select>
                    <div *ngIf="submitted && f.State.errors" class="invalid-feedback">
                        <div *ngIf="f.State.errors.required">State is required</div>
                      </div>
                </div>
            </div>
            <div class="row mt-1">
                <div class="col-md-12">
                    <select name="" id="" placeholder="Contry" formControlName="contry"
                        class="form-control  form-control-lg"  [ngClass]="{ 'is-invalid': submitted && f.contry.errors }">
                        <option value="Sate">Contry</option>
                        <option value="1">India</option>
                    </select>
                    <div *ngIf="submitted && f.contry.errors" class="invalid-feedback">
                        <div *ngIf="f.contry.errors.required">Contry is required</div>
                      </div>
                </div>
            </div>
            <div class="row mt-1">
                <div class="col-md-12">
                    <input type="email" id="lastName" formControlName="tags"  [ngClass]="{ 'is-invalid': submitted && f.tags.errors }" class="form-control form-control-lg"
                        placeholder="Tags" />
                        <div *ngIf="submitted && f.tags.errors" class="invalid-feedback">
                            <div *ngIf="f.tags.errors.required">Tagsis required</div>
                          </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12 form-inline">
                    <input type="checkbox" class="form-control mr-3">Subscribe to newsletter
                </div>
            </div>
            <div class="row">
                <div class="col-md-6"></div>
                <div class="col-md-3">
                    <button class="btn btn-light"> Cancle</button>
                </div>
                <div class="col-md-3">
                    <button class="btn btn-primary" (click)="insert()"> Submit</button>
                </div>
            </div>
        </div>
    </div>
</div>